javax.portlet

## Interface PortalContext

    public interface PortalContext

The `PortalContext` interface gives the portlet the ability to retrieve information about the portal calling this portlet.

The portlet can only read the `PortalContext` data.

### Field Summary

Fields
`static String` `MARKUP_HEAD_ELEMENT_SUPPORT` Property indicating if the portal application supports the `MimeResponse` property `MARKUP_HEAD_ELEMENT`.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPortalInfo()` Returns information about the portal like vendor, version, etc.
`String` `getProperty(String name)` Returns the portal property with the given name, or a `null` if there is no property by that name.
`Enumeration<String>` `getPropertyNames()` Returns all portal property names, or an empty `Enumeration` if there are no property names.
`Enumeration<PortletMode>` `getSupportedPortletModes()` Returns all supported portlet modes by the portal as an enumeration of `PortletMode` objects.
`Enumeration<WindowState>` `getSupportedWindowStates()` Returns all supported window states by the portal as an enumeration of `WindowState` objects.

### Field Detail

#### MARKUP_HEAD_ELEMENT_SUPPORT

    static final String MARKUP_HEAD_ELEMENT_SUPPORT

Property indicating if the portal application supports the `MimeResponse` property `MARKUP_HEAD_ELEMENT`.

A non-null value indicates that the portal application supports the `MARKUP_HEAD_ELEMENT` property.

The value is `"javax.portlet.markup.head.element.support"`.

Since:
  2.0
See Also:
  Constant Field Values

### Method Detail

#### getProperty

    String getProperty(String name)

Returns the portal property with the given name, or a `null` if there is no property by that name.

Parameters:
  `name` - property name
Returns:
  portal property with key `name`
Throws:
  `IllegalArgumentException` - if name is `null`.

#### getPropertyNames

    Enumeration<String> getPropertyNames()

Returns all portal property names, or an empty `Enumeration` if there are no property names.

Returns:
  All portal property names as an `Enumeration` of `String` objects

#### getSupportedPortletModes

    Enumeration<PortletMode> getSupportedPortletModes()

Returns all supported portlet modes by the portal as an enumeration of `PortletMode` objects.

The portlet modes must at least include the standard portlet modes `EDIT, HELP, VIEW`.

Returns:
  All supported portal modes by the portal as an enumeration of `PortletMode` objects.

#### getSupportedWindowStates

    Enumeration<WindowState> getSupportedWindowStates()

Returns all supported window states by the portal as an enumeration of `WindowState` objects.

The window states must at least include the standard window states `MINIMIZED, NORMAL, MAXIMIZED`.

Returns:
  All supported window states by the portal as an enumeration of `WindowState` objects.

#### getPortalInfo

    String getPortalInfo()

Returns information about the portal like vendor, version, etc.

The form of the returned string is servername/versionnumber. For example, the reference implementation Pluto may return the string `Pluto/1.0`.

The portlet container may return other optional information after the primary string in parentheses, for example, `Pluto/1.0 (JDK 1.3.1; Windows NT 4.0 x86)`.

Returns:
  a `String` containing at least the portal name and version number